import { GTFSRouteTypeEnum } from "#helpers/RouteTypeEnums";
import { IScheduleDto } from "#sch/vehicle-positions/redis/interfaces/IGtfsRunTripCacheDto";

export const vpComputePositionsSchedule: Array<Partial<IScheduleDto>> = [
    {
        trip_id: "4_3294_220901",
        service_id: "1111100-1",
        date: "2022-09-01",
        route_id: "L4",
        route_type: GTFSRouteTypeEnum.TRAM,
        route_short_name: "4",
        is_regional: "0",
        is_substitute_transport: "0",
        is_night: "0",
        trip_headsign: "Sídliště Barrandov",
        trip_short_name: null,
        block_id: null,
        exceptional: 1,
        min_stop_time: { hours: 6, minutes: 25 },
        max_stop_time: { hours: 7, minutes: 20 },
        start_timestamp: "2022-09-01T06:25:00+02:00",
        end_timestamp: "2022-09-01T07:20:00+02:00",
    },
    {
        trip_id: "4_490_220901",
        service_id: "1111100-1",
        date: "2022-09-01",
        route_id: "L4",
        route_type: GTFSRouteTypeEnum.TRAM,
        route_short_name: "4",
        is_regional: "0",
        is_substitute_transport: "0",
        is_night: "0",
        trip_headsign: "Kubánské náměstí",
        trip_short_name: null,
        block_id: null,
        exceptional: 0,
        min_stop_time: { hours: 7, minutes: 29 },
        max_stop_time: { hours: 8, minutes: 8 },
        start_timestamp: "2022-09-01T07:29:00+02:00",
        end_timestamp: "2022-09-01T08:08:00+02:00",
    },
    {
        trip_id: "4_3295_220901",
        service_id: "1111100-1",
        date: "2022-09-01",
        route_id: "L4",
        route_type: GTFSRouteTypeEnum.TRAM,
        route_short_name: "4",
        is_regional: "0",
        is_substitute_transport: "0",
        is_night: "0",
        trip_headsign: "Sídliště Barrandov",
        trip_short_name: null,
        block_id: null,
        exceptional: 0,
        min_stop_time: { hours: 8, minutes: 20 },
        max_stop_time: { hours: 8, minutes: 59 },
        start_timestamp: "2022-09-01T08:20:00+02:00",
        end_timestamp: "2022-09-01T08:59:00+02:00",
    },
    {
        trip_id: "4_3252_220901",
        service_id: "1111100-1",
        date: "2022-09-01",
        route_id: "L4",
        route_type: GTFSRouteTypeEnum.TRAM,
        route_short_name: "4",
        is_regional: "0",
        is_substitute_transport: "0",
        is_night: "0",
        trip_headsign: "Vozovna Žižkov",
        trip_short_name: null,
        block_id: null,
        exceptional: 1,
        min_stop_time: { hours: 9, minutes: 9 },
        max_stop_time: { hours: 10, minutes: 3 },
        start_timestamp: "2022-09-01T09:09:00+02:00",
        end_timestamp: "2022-09-01T10:03:00+02:00",
    },
    {
        trip_id: "4_3231_220901",
        service_id: "1111100-1",
        date: "2022-09-01",
        route_id: "L4",
        route_type: GTFSRouteTypeEnum.TRAM,
        route_short_name: "4",
        is_regional: "0",
        is_substitute_transport: "0",
        is_night: "0",
        trip_headsign: "Sídliště Barrandov",
        trip_short_name: null,
        block_id: null,
        exceptional: 1,
        min_stop_time: { hours: 15, minutes: 16 },
        max_stop_time: { hours: 16, minutes: 11 },
        start_timestamp: "2022-09-01T15:16:00+02:00",
        end_timestamp: "2022-09-01T16:11:00+02:00",
    },
    {
        trip_id: "4_505_220901",
        service_id: "1111100-1",
        date: "2022-09-01",
        route_id: "L4",
        route_type: GTFSRouteTypeEnum.TRAM,
        route_short_name: "4",
        is_regional: "0",
        is_substitute_transport: "0",
        is_night: "0",
        trip_headsign: "Kubánské náměstí",
        trip_short_name: null,
        block_id: null,
        exceptional: 0,
        min_stop_time: { hours: 16, minutes: 25 },
        max_stop_time: { hours: 17, minutes: 4 },
        start_timestamp: "2022-09-01T16:25:00+02:00",
        end_timestamp: "2022-09-01T17:04:00+02:00",
    },
    {
        trip_id: "4_3296_220901",
        service_id: "1111100-1",
        date: "2022-09-01",
        route_id: "L4",
        route_type: GTFSRouteTypeEnum.TRAM,
        route_short_name: "4",
        is_regional: "0",
        is_substitute_transport: "0",
        is_night: "0",
        trip_headsign: "Sídliště Barrandov",
        trip_short_name: null,
        block_id: null,
        exceptional: 0,
        min_stop_time: { hours: 17, minutes: 16 },
        max_stop_time: { hours: 17, minutes: 55 },
        start_timestamp: "2022-09-01T17:16:00+02:00",
        end_timestamp: "2022-09-01T17:55:00+02:00",
    },
    {
        trip_id: "4_3253_220901",
        service_id: "1111100-1",
        date: "2022-09-01",
        route_id: "L4",
        route_type: GTFSRouteTypeEnum.TRAM,
        route_short_name: "4",
        is_regional: "0",
        is_substitute_transport: "0",
        is_night: "0",
        trip_headsign: "Vozovna Žižkov",
        trip_short_name: null,
        block_id: null,
        exceptional: 1,
        min_stop_time: { hours: 18, minutes: 9 },
        max_stop_time: { hours: 19, minutes: 3 },
        start_timestamp: "2022-09-01T18:09:00+02:00",
        end_timestamp: "2022-09-01T19:03:00+02:00",
    },
    {
        trip_id: "4_3294_220901",
        service_id: "1111100-1",
        date: "2022-09-02",
        route_id: "L4",
        route_type: GTFSRouteTypeEnum.TRAM,
        route_short_name: "4",
        is_regional: "0",
        is_substitute_transport: "0",
        is_night: "0",
        trip_headsign: "Sídliště Barrandov",
        trip_short_name: null,
        block_id: null,
        exceptional: 1,
        min_stop_time: { hours: 6, minutes: 25 },
        max_stop_time: { hours: 7, minutes: 20 },
        start_timestamp: "2022-09-02T06:25:00+02:00",
        end_timestamp: "2022-09-02T07:20:00+02:00",
    },
    {
        trip_id: "4_490_220901",
        service_id: "1111100-1",
        date: "2022-09-02",
        route_id: "L4",
        route_type: GTFSRouteTypeEnum.TRAM,
        route_short_name: "4",
        is_regional: "0",
        is_substitute_transport: "0",
        is_night: "0",
        trip_headsign: "Kubánské náměstí",
        trip_short_name: null,
        block_id: null,
        exceptional: 0,
        min_stop_time: { hours: 7, minutes: 29 },
        max_stop_time: { hours: 8, minutes: 8 },
        start_timestamp: "2022-09-02T07:29:00+02:00",
        end_timestamp: "2022-09-02T08:08:00+02:00",
    },
    {
        trip_id: "4_3295_220901",
        service_id: "1111100-1",
        date: "2022-09-02",
        route_id: "L4",
        route_type: GTFSRouteTypeEnum.TRAM,
        route_short_name: "4",
        is_regional: "0",
        is_substitute_transport: "0",
        is_night: "0",
        trip_headsign: "Sídliště Barrandov",
        trip_short_name: null,
        block_id: null,
        exceptional: 0,
        min_stop_time: { hours: 8, minutes: 20 },
        max_stop_time: { hours: 8, minutes: 59 },
        start_timestamp: "2022-09-02T08:20:00+02:00",
        end_timestamp: "2022-09-02T08:59:00+02:00",
    },
    {
        trip_id: "4_3252_220901",
        service_id: "1111100-1",
        date: "2022-09-02",
        route_id: "L4",
        route_type: GTFSRouteTypeEnum.TRAM,
        route_short_name: "4",
        is_regional: "0",
        is_substitute_transport: "0",
        is_night: "0",
        trip_headsign: "Vozovna Žižkov",
        trip_short_name: null,
        block_id: null,
        exceptional: 1,
        min_stop_time: { hours: 9, minutes: 9 },
        max_stop_time: { hours: 10, minutes: 3 },
        start_timestamp: "2022-09-02T09:09:00+02:00",
        end_timestamp: "2022-09-02T10:03:00+02:00",
    },
    {
        trip_id: "4_3231_220901",
        service_id: "1111100-1",
        date: "2022-09-02",
        route_id: "L4",
        route_type: GTFSRouteTypeEnum.TRAM,
        route_short_name: "4",
        is_regional: "0",
        is_substitute_transport: "0",
        is_night: "0",
        trip_headsign: "Sídliště Barrandov",
        trip_short_name: null,
        block_id: null,
        exceptional: 1,
        min_stop_time: { hours: 15, minutes: 16 },
        max_stop_time: { hours: 16, minutes: 11 },
        start_timestamp: "2022-09-02T15:16:00+02:00",
        end_timestamp: "2022-09-02T16:11:00+02:00",
    },
    {
        trip_id: "4_505_220901",
        service_id: "1111100-1",
        date: "2022-09-02",
        route_id: "L4",
        route_type: GTFSRouteTypeEnum.TRAM,
        route_short_name: "4",
        is_regional: "0",
        is_substitute_transport: "0",
        is_night: "0",
        trip_headsign: "Kubánské náměstí",
        trip_short_name: null,
        block_id: null,
        exceptional: 0,
        min_stop_time: { hours: 16, minutes: 25 },
        max_stop_time: { hours: 17, minutes: 4 },
        start_timestamp: "2022-09-02T16:25:00+02:00",
        end_timestamp: "2022-09-02T17:04:00+02:00",
    },
    {
        trip_id: "4_3296_220901",
        service_id: "1111100-1",
        date: "2022-09-02",
        route_id: "L4",
        route_type: GTFSRouteTypeEnum.TRAM,
        route_short_name: "4",
        is_regional: "0",
        is_substitute_transport: "0",
        is_night: "0",
        trip_headsign: "Sídliště Barrandov",
        trip_short_name: null,
        block_id: null,
        exceptional: 0,
        min_stop_time: { hours: 17, minutes: 16 },
        max_stop_time: { hours: 17, minutes: 55 },
        start_timestamp: "2022-09-02T17:16:00+02:00",
        end_timestamp: "2022-09-02T17:55:00+02:00",
    },
    {
        trip_id: "4_3253_220901",
        service_id: "1111100-1",
        date: "2022-09-02",
        route_id: "L4",
        route_type: GTFSRouteTypeEnum.TRAM,
        route_short_name: "4",
        is_regional: "0",
        is_substitute_transport: "0",
        is_night: "0",
        trip_headsign: "Vozovna Žižkov",
        trip_short_name: null,
        block_id: null,
        exceptional: 1,
        min_stop_time: { hours: 18, minutes: 9 },
        max_stop_time: { hours: 19, minutes: 3 },
        start_timestamp: "2022-09-02T18:09:00+02:00",
        end_timestamp: "2022-09-02T19:03:00+02:00",
    },
];
